#include <gtk/gtk.h>

typedef struct _XPiezoContext XPiezoContext;
struct _XPiezoContext
{
  gchar       *serial_name;
  gint         serial_fd;
  GIOChannel  *serial;
  gchar       *write_buf;
  gint         write_n_bytes;
  gint         written;

  GdkPixbuf  **ufo_pixbufs;
  GtkWidget   *ufo_image;
};

typedef struct _ParamPreset ParamPreset;
struct _ParamPreset
{
  gchar   *label;
  gdouble  value;
  gdouble  min;
  gdouble  max;
  gint     digits;
};

void         xpiezo_load_pixmaps    (XPiezoContext *context);
GtkWidget *  xpiezo_create_window   (XPiezoContext *context);

